package com.org.hktshop.Interface.product;

import com.org.hktshop.entity.Page;
import com.org.hktshop.entity.admin.HktAdmin;
import com.org.hktshop.entity.product.HktGoodsDelivery;
import com.org.hktshop.utils.Ret;

import java.util.List;

/*****
 * 商品 交货周期
 */
public interface IHktGoodsDeliveryService {

    void  InitDate();

    /***
     * 更新交货周期
     * @param opUser
     * @param delivery
     * @return
     */
    Ret updateDelivery(HktAdmin opUser, HktGoodsDelivery delivery) throws Exception;

    /****
     * 删除 交货周期
     * @param opUser
     * @param delivery
     * @return
     */
    Ret deleteDelivery(HktAdmin opUser,HktGoodsDelivery delivery);

    /****
     * 查询交货周期列表
     * @param delivery
     * @return
     */
    List<HktGoodsDelivery> queryLists(HktGoodsDelivery delivery);

    /*****
     * 查询分页
     * @param delivery
     * @return
     */
    Page<HktGoodsDelivery> queryPage(HktGoodsDelivery delivery);

    /****
     * 明细查询
     * @param delivery
     * @return
     */
    HktGoodsDelivery query(HktGoodsDelivery delivery);
    /****
     * 数据库查询交货周期列表
     * @param delivery
     * @return
     */
    List<HktGoodsDelivery> queryListByDataSource(HktGoodsDelivery delivery);
}
